function EF_Firework(r,g,b)	

-- smoke
AddParticles(
5,				-- num particles
3.0,    0.0,			-- life, life variability
r,  g,  b,  			-- color RGB
0.40, 0 , 0.2,		-- ALPHA start-end ,variability
0.07,	0.16,	0.0,		-- SIZE start, end, variab
0.07,	0.0,			-- VELOCITY start, variab
180,				-- THETA
0.1,				-- gravity y
0.250, 0.0, 0.5, 0.25,	-- uv start-end
0,				-- has shadow ?
1				-- spawn area option (rectangle )
);

-- sparks
AddParticles(
250,				-- num particles
3.0,    0.0,			-- life, life variability
r,  g,  b,  			-- color RGB
1.00, 0.0 , 0.1,		-- ALPHA start-end ,variability
0.02,	0.02,	0.01,		-- SIZE start, end, variab
0.9,	0.2,			-- VELOCITY start, variab
180,				-- THETA
-0.3,				-- gravity y
0.75, 0.25, 1.0, 0.5,	-- uv start-end
0,				-- has shadow ?
1				-- spawn area option (rectangle )
);

end


function EF_FireworkFly()	
--smoke
AddParticles(
1,				-- num particles
1.5,    0.0,			-- life, life variability
0.99,  0.99,  0.59,  			-- color RGB
0.3, 0 , 0.0,		-- ALPHA start-end ,variability
0.04,	0.008,	0.0,		-- SIZE start, end, variab
0.03,	0.0,			-- VELOCITY start, variab
180,				-- THETA
0.1,				-- gravity y
0.250, 0.0, 0.5, 0.25,	-- uv start-end
0,				-- has shadow ?
2,				-- spawn area option (sphere)
0.01
);
end



function EF_BlockDestroy(r,g,b)	

-- smoke
AddParticles(
4,				-- num particles
3.0,    0.0,			-- life, life variability
r,  g,  b,  			-- color RGB
0.40, 0 , 0.2,		-- ALPHA start-end ,variability
0.07,	0.16,	0.0,		-- SIZE start, end, variab
0.07,	0.0,			-- VELOCITY start, variab
180,				-- THETA
0.1,				-- gravity y
0.250, 0.0, 0.5, 0.25,	-- uv start-end
0,				-- has shadow ?
1				-- spawn area option (rectangle )
);

-- sparks
AddParticles(
20,				-- num particles
5.0,    0.0,			-- life, life variability
r,  g,  b,  			-- color RGB
1.00, 0 , 0.2,		-- ALPHA start-end ,variability
0.01,	0.01,	0.01,		-- SIZE start, end, variab
0.7,	0.2,			-- VELOCITY start, variab
180,				-- THETA
-0.9,				-- gravity y
0.50, 0.25, 0.75, 0.5,	-- uv start-end
0,				-- has shadow ?
1				-- spawn area option (rectangle )
);

end



function EF_RocketDie()	
AddParticles(
5,				-- num particles
3.0,    0.0,			-- life, life variability
0.6,  0.6,  0.7,  			-- color RGB
0.50, 0 , 0.2,		-- ALPHA start-end ,variability
0.07,	0.19,	0.0,		-- SIZE start, end, variab
0.07,	0.0,			-- VELOCITY start, variab
180,				-- THETA
0.1,				-- gravity y
0.250, 0.0, 0.5, 0.25,	-- uv start-end
0,				-- has shadow ?
2,				-- spawn area option (sphere)
0.1
);
end



function EF_BulletDie()	
AddParticles(
3,				-- num particles
3.0,    0.0,			-- life, life variability
0.99,  0.6,  0.7,  			-- color RGB
0.50, 0 , 0.2,		-- ALPHA start-end ,variability
0.01,	0.01,	0.01,		-- SIZE start, end, variab
0.7,	0.2,			-- VELOCITY start, variab
180,				-- THETA
-0.9,				-- gravity y
0.50, 0.25, 0.75, 0.5,	-- uv start-end
0,				-- has shadow ?
2,				-- spawn area option (sphere)
0.1
);
end



function EF_BombDie()	
AddParticles(
5,				-- num particles
3.0,    0.0,			-- life, life variability
0.6,  0.6,  0.7,  			-- color RGB
0.50, 0 , 0.2,		-- ALPHA start-end ,variability
0.07,	0.19,	0.0,		-- SIZE start, end, variab
0.07,	0.0,			-- VELOCITY start, variab
180,				-- THETA
0.1,				-- gravity y
0.250, 0.0, 0.5, 0.25,	-- uv start-end
0,				-- has shadow ?
2,				-- spawn area option (sphere)
0.1
);
end



function EF_GunFire()	
--smoke
AddParticles(
1,				-- num particles
1.0,    0.0,			-- life, life variability
0.7,  0.7,  0.99,  			-- color RGB
0.30, 0 , 0.0,		-- ALPHA start-end ,variability
0.05,	0.11,	0.0,		-- SIZE start, end, variab
0.07,	0.0,			-- VELOCITY start, variab
180,				-- THETA
0.1,				-- gravity y
0.250, 0.0, 0.5, 0.25,	-- uv start-end
0,				-- has shadow ?
2,				-- spawn area option (sphere)
0.1
);
--flash
AddParticles(
1,				-- num particles
0.01,    0.0,			-- life, life variability
0.99,  0.99,  0.79,  			-- color RGB
0.90, 0.9 , 0.0,		-- ALPHA start-end ,variability
0.035, 0.035,	0.0,		-- SIZE start, end, variab
0.07,	0.0,			-- VELOCITY start, variab
180,				-- THETA
0.1,				-- gravity y
0.75, 0.25, 1.0, 0.5,	-- uv start-end
0,				-- has shadow ?
2,				-- spawn area option (sphere)
0.0001
);
end


function EF_RocketFly(n)	
--smoke
AddParticles(
n,				-- num particles
2.0,    0.0,			-- life, life variability
0.7,  0.7,  0.99,  			-- color RGB
0.30, 0 , 0.0,		-- ALPHA start-end ,variability
0.1,	0.2,	0.0,		-- SIZE start, end, variab
0.3,	0.0,			-- VELOCITY start, variab
180,				-- THETA
0.1,				-- gravity y
0.250, 0.0, 0.5, 0.25,	-- uv start-end
0,				-- has shadow ?
2,				-- spawn area option (sphere)
0.01
);
end


function EF_Fireball(n)	
--smoke
AddParticles(
n,				-- num particles
0.2,    0.0,			-- life, life variability
0.99,  0.99,  0.59,  			-- color RGB
0.4, 0 , 0.0,		-- ALPHA start-end ,variability
0.1,	0.03,	0.0,		-- SIZE start, end, variab
0.03,	0.0,			-- VELOCITY start, variab
180,				-- THETA
0.1,				-- gravity y
0.250, 0.0, 0.5, 0.25,	-- uv start-end
0,				-- has shadow ?
2,				-- spawn area option (sphere)
0.01
);
end


function EF_SmallBallTrail(n)	
--smoke
AddParticles(
n,				-- num particles
0.1,    0.0,			-- life, life variability
0.89,  0.89,  0.89,  			-- color RGB
0.4, 0 , 0.0,		-- ALPHA start-end ,variability
0.08,	0.01,	0.0,		-- SIZE start, end, variab
0.03,	0.0,			-- VELOCITY start, variab
180,				-- THETA
0.1,				-- gravity y
0.250, 0.0, 0.5, 0.25,	-- uv start-end
0,				-- has shadow ?
2,				-- spawn area option (sphere)
0.01
);
end



function EF_BatChange2()	
--smoke
AddParticles(
10,				-- num particles
1.0,    0.0,			-- life, life variability
0.7,  0.7,  0.99,  			-- color RGB
0.30, 0 , 0.0,		-- ALPHA start-end ,variability
0.5,	0.11,	0.0,		-- SIZE start, end, variab
0.07,	0.0,			-- VELOCITY start, variab
180,				-- THETA
0.1,				-- gravity y
0.250, 0.0, 0.5, 0.25,	-- uv start-end
0,				-- has shadow ?
2,				-- spawn area option (sphere)
1
);
--flash
AddParticles(
1,				-- num particles
0.01,    0.0,			-- life, life variability
0.99,  0.99,  0.79,  			-- color RGB
0.90, 0.9 , 0.0,		-- ALPHA start-end ,variability
0.9, 0.035,	0.0,		-- SIZE start, end, variab
0.07,	0.0,			-- VELOCITY start, variab
180,				-- THETA
0.1,				-- gravity y
0.75, 0.25, 1.0, 0.5,	-- uv start-end
0,				-- has shadow ?
2,				-- spawn area option (sphere)
0.0001
);
end


function EF_BatChange()	
--smoke
AddParticles(
10,				-- num particles
1.0,    0.0,			-- life, life variability
0.5,  0.5,  0.99,  			-- color RGB
0.30, 0 , 0.0,		-- ALPHA start-end ,variability
0.5,	0.11,	0.0,		-- SIZE start, end, variab
0.07,	0.0,			-- VELOCITY start, variab
180,				-- THETA
0.1,				-- gravity y
0.250, 0.0, 0.5, 0.25,	-- uv start-end
0,				-- has shadow ?
2,				-- spawn area option (sphere)
1
);
--flash
AddParticles(
1,				-- num particles
0.01,    0.0,			-- life, life variability
0.49,  0.49,  0.79,  			-- color RGB
0.90, 0.9 , 0.0,		-- ALPHA start-end ,variability
0.9, 0.035,	0.0,		-- SIZE start, end, variab
0.07,	0.0,			-- VELOCITY start, variab
180,				-- THETA
0.1,				-- gravity y
0.75, 0.25, 1.0, 0.5,	-- uv start-end
0,				-- has shadow ?
2,				-- spawn area option (sphere)
0.0001
);
end
